Subject: Re: [spring] IP unnumbered SR-adjacency encoding issue in PCEP-SR & IDR-SR

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 22 Feb 2019 13:48:56 +0000

Hi Peng,

I am not sure if you got a response on your email below.

I believe the authors of the draft-ietf-pce-segment-routing are planning to address the gap for the Segment Type 7 as specified in https://tools.ietf.org/html/draft-ietf-spring-segment-routing-policy-02#section-4 which should address the gap you’ve highlighted below.

The Segment Type 5 defined in https://tools.ietf.org/html/draft-ietf-spring-segment-routing-policy-02#section-4 which is also specified for BGP in https://tools.ietf.org/html/draft-ietf-idr-segment-routing-te-policy-05#section-2.4.3.2.5 covers the IPv4 unnumbered links. Please note that IPv4 unnumbered is applicable for p2p links and while some protocol encodings also allow for specification of the remote endpoint address and ID, that is optional. The local address and ID is sufficient to identify the link/adjacency.

Hope that clarifies.

Thanks,
Ketan

From: spring <[email-masked]> On Behalf Of [email-masked]
Sent: 12 December 2018 09:26
To: Siva Sivabalan (msiva) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: [spring] IP unnumbered SR-adjacency encoding issue in PCEP-SR & IDR-SR

Dear authors,

I found that draft-ietf-pce-segment-routing-14 only defined SR-ERO (NT=5) for IPv4 unnumbered adjacency, IPv6 absent.

On the contrary, draft-ietf-idr-segment-routing-te-policy-05 only defined Segment (type=7 or 10) for IPv6 unnumbered adjacency, IPv4 absent. In this document Segment (type=5) looks like only for P2P adjacency.

Could you give a more clarification?

Thanks

Deccan